Loading...
Searching...
No Matches
l4vbus_resource_t Struct Reference

Description of a single vbus resource. More...

`#include <vbus_types.h>`

Collaboration diagram for l4vbus_resource_t:

## Data Fields

l4_uint16_t | type
| Resource type, see l4vbus_resource_type_t.
l4_uint16_t | flags
| Flags.
l4vbus_paddr_t | start
| Start of resource range.
l4vbus_paddr_t | end
| End of resource range (inclusive).
l4vbus_device_handle_t | provider
| Device handle of the provider of the resource.
l4_uint32_t | id
| Resource ID (4 bytes), usually a 4 letter ASCII name is used.

## Detailed Description

Description of a single vbus resource.

Definition at line 23 of file vbus_types.h.

The documentation for this struct was generated from the following file:

- l4/vbus/vbus_types.h